struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Don Brown" <donald.br...@gmail.com>
Subject Re: S2 trunk broken build
Date Mon, 14 Apr 2008 10:10:59 GMT
Should be fixed.

Don

On Mon, Apr 14, 2008 at 6:27 PM, Giovanni Azua <giaz@imc.nl> wrote:
> hi,
>
>  I get the Maven failure below while trying to build the latest S2 trunk
> (rev 647691). The following plugin is not found:
>  -DgroupId=org.apache.myfaces.tobago -DartifactId=maven-apt-plugin
>
>  When I go and check the "maven-apt-plugin" there is no version 1.0.16 but
> 1.0.15 only. I can locally workaround the issue by adding the version tag
> fixed to 1.0.15 in:
>  ./core/pom.xml
>  ./plugins/dojo/pom.xml
>
>  regards,
>  Giovanni
>
>  [INFO]
> ----------------------------------------------------------------------------
>  [INFO] Building Struts 2 Core
>  [INFO]    task-segment: [clean, install, package]
>  [INFO]
> ----------------------------------------------------------------------------
>  [INFO] artifact org.apache.myfaces.tobago:maven-apt-plugin: checking for
> updates from central
>  [WARNING] *** CHECKSUM FAILED - Checksum failed on download: local =
> 'b4049c851dd930e2b7132a5adec99a2760779fba'; remote =
> '42200262f4701c5eaaa365e9be4838004acec3e4' - RETRYING
>  [WARNING] *** CHECKSUM FAILED - Checksum failed on download: local =
> 'b4049c851dd930e2b7132a5adec99a2760779fba'; remote =
> '42200262f4701c5eaaa365e9be4838004acec3e4' - IGNORING
>  Downloading:
> http://repo1.maven.org/maven2/org/apache/myfaces/tobago/maven-apt-plugin/1.0.16/maven-apt-plugin-1.0.16.pom
>  Downloading:
> http://repo1.maven.org/maven2/org/apache/myfaces/tobago/maven-apt-plugin/1.0.16/maven-apt-plugin-1.0.16.jar
>  [INFO]
> ------------------------------------------------------------------------
>  [ERROR] BUILD FAILURE
>  [INFO]
> ------------------------------------------------------------------------
>  [INFO] A required plugin was not found: Plugin could not be found - check
> that the goal name is correct: Unable to download the artifact from any
> repository
>
>  ---------------------------------------------------------------------
>  To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
>  For additional commands, e-mail: dev-help@struts.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@struts.apache.org
For additional commands, e-mail: dev-help@struts.apache.org


Mime
View raw message